commit: 38e32a781985174b5a8d095086f9e3ed1e4bd59a
Author: Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 17 14:45:56 2015 +0000
Commit: Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Thu Sep 17 14:45:56 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38e32a78
sys-boot/refind: revbump to -0.9.0-r1
patch to ebuild sourced from bug #560280, rm inital ebuild
Package-Manager: portage-2.2.20.1
.../{refind-0.9.0.ebuild => refind-0.9.0-r1.ebuild} | 18 ++++++++++++++++--
1 file changed, 16 insertions(+), 2 deletions(-)
diff --git a/sys-boot/refind/refind-0.9.0.ebuild
b/sys-boot/refind/refind-0.9.0-r1.ebuild
similarity index 79%
rename from sys-boot/refind/refind-0.9.0.ebuild
rename to sys-boot/refind/refind-0.9.0-r1.ebuild
index d3b517b..9f616d5 100644
--- a/sys-boot/refind/refind-0.9.0.ebuild
+++ b/sys-boot/refind/refind-0.9.0-r1.ebuild
@@ -4,6 +4,8 @@
EAPI=5
+inherit eutils
+
DESCRIPTION="The rEFInd UEFI Boot Manager by Rod Smith"
HOMEPAGE="http://www.rodsbooks.com/refind/index.html"
SRC_URI="mirror://sourceforge/${PN}/${PN}-src-${PV}.zip"
@@ -13,11 +15,20 @@ SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="btrfs +ext2 +ext4 hfs +iso9660 ntfs reiserfs"
-DOCS="NEWS.txt README.txt refind.conf-sample docs/refind docs/Styles"
+DOCS="NEWS.txt README.txt docs/refind docs/Styles"
DEPEND=">=sys-boot/gnu-efi-3.0u"
RDEPEND=""
+src_prepare() {
+ # bug 560280: Relocate the install location of refind.conf-sample
+ local oldstring="\$RefindDir\/refind.conf-sample"
+ local newstring="\/usr\/share\/doc\/${PF}\/refind.conf-sample"
+ sed -e "s/$oldstring/$newstring/" -i install.sh || die
+
+ epatch_user
+}
+
src_compile() {
emake gnuefi
@@ -43,6 +54,9 @@ src_install() {
dodoc -r ${DOCS}
+ dodoc refind.conf-sample
+ docompress -x /usr/share/doc/${PF}/refind.conf-sample
+
insinto "/usr/share/${P}/refind"
use x86 && doins refind/refind_ia32.efi
use amd64 && doins refind/refind_x64.efi
@@ -74,6 +88,6 @@ pkg_postinst() {
einfo "package app-crypt/sbsigntool can be installed"
einfo ""
einfo "A sample configration can be found at"
- einfo "/usr/share/doc/${P}/refind.conf-sample.bz2"
+ einfo "/usr/share/doc/${PF}/refind.conf-sample"
einfo ""
}